petsc-3.4.2 2013-07-02

# DMPlexGetLabelSize

Get the number of different integer ids in a Label

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetLabelSize(DM dm, const char name[], PetscInt *size)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| name | - The label name

### Output Parameter

size -The number of different integer ids, or 0 if the label does not exist

### Keywords

mesh

### See Also

DMLabeGetNumValues(), DMPlexSetLabelValue()

Level:beginner
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages